/*
 * Class created by lensfrex.
 */

package net.lensfrex.dscape.dao.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.lensfrex.dscape.dao.entity.PatientData;
import net.lensfrex.dscape.dao.mapper.PatientDataMapper;
import net.lensfrex.dscape.dao.service.PatientDataService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class PatientDataServiceImpl extends ServiceImpl<PatientDataMapper, PatientData> implements PatientDataService {
    @Override
    public List<PatientData> getData(List<Long> ids) {
        QueryWrapper<PatientData> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .in(PatientData::getId, ids)
                .orderByDesc(PatientData::getId);

        return this.list(wrapper);
    }

    @Override
    public PatientData getData(Long id) {
        QueryWrapper<PatientData> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(PatientData::getId, id);

        return this.getOne(wrapper);
    }
}