package net.lensfrex.dscape.dao.service;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.IService;
import net.lensfrex.dscape.dao.entity.ComputeHistory;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lensfrex
 * @description compute_history服务层
 * @date 2022-08-22
 */
@Service
public interface ComputeHistoryService extends IService<ComputeHistory> {
    long count(SFunction<ComputeHistory, ?> indexColum, Object index);

    List<ComputeHistory> getHistory(String uid, int page, int limit);

    List<Long> getHistoryIds(String uid, int page, int limit);

    boolean remove(Long id);

    String getHistoryUser(Long rid);
}